<?php
/**
 * Created for Schaffen IT.
 * User: Wellington Lima
 */

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;

class IndirectCost extends Model
{

   protected $connection = 'dynamicdb';
   protected $table = "produto.custo_indireto";
   protected $primaryKey = "ci_codigo";
   protected $fillable = [
      "ci_codigo",
      "ci_descricao",
      "ci_status",
      "ci_date_insert",
      "ci_user_insert",
      "ci_date_update",
      "ci_user_update"
   ];
   const CREATED_AT = "ci_date_insert";
   const CREATED_BY = "ci_user_insert";
   const UPDATED_AT = "ci_date_update";
   const UPDATED_BY = "ci_user_update";

  
   public function product_variety_indirect_cost(){
      return $this->hasMany(ProductVarietyIndirectCost::class, 'pvci_fk_ci_codigo');
   }

}
